Package fr.gouv.vitam.security.internal.common.model

# Class CertificateBaseModel

java.lang.Object
fr.gouv.vitam.security.internal.common.model.CertificateBaseModel

Direct Known Subclasses:
  `IdentityModel`, `PersonalCertificateModel`

public class CertificateBaseModel extends Object
base model for identity

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CERTIFICATE_TAG`
  `static final String`
  `EXPIRATION_DATE_TAG`
  `static final String`
  `ISSUER_DN_TAG`
  `static final String`
  `REVOCATION_DATE_TAG`
  `static final String`
  `SERIAL_NUMBER`
  `static final String`
  `STATUS_TAG`
  `static final String`
  `SUBJECT_DN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateBaseModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getCertificate()`
  `CertificateStatus`
  `getCertificateStatus()`
  getter for certificateStatus
  `String`
  `getExpirationDate()`
  `String`
  `getId()`
  `String`
  `getIssuerDN()`
  `String`
  `getRevocationDate()`
  getter for revocationDate
  `String`
  `getSerialNumber()`
  `String`
  `getSubjectDN()`
  `void`
  `setCertificate(byte[] certificate)`
  `void`
  `setCertificateStatus(CertificateStatus certificateStatus)`
  set certificateStatus
  `void`
  `setExpirationDate(String expirationDate)`
  `void`
  `setId(String id)`
  `void`
  `setIssuerDN(String issuerDN)`
  `void`
  `setRevocationDate(String revocationDate)`
  set revocationDate
  `void`
  `setSerialNumber(String serialNumber)`
  `void`
  `setSubjectDN(String subjectDN)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SUBJECT_DN

    public static final String SUBJECT_DN
    See Also:
      - Constant Field Values

  - ### SERIAL_NUMBER

    public static final String SERIAL_NUMBER
    See Also:
      - Constant Field Values

  - ### CERTIFICATE_TAG

    public static final String CERTIFICATE_TAG
    See Also:
      - Constant Field Values

  - ### ISSUER_DN_TAG

    public static final String ISSUER_DN_TAG
    See Also:
      - Constant Field Values

  - ### STATUS_TAG

    public static final String STATUS_TAG
    See Also:
      - Constant Field Values

  - ### EXPIRATION_DATE_TAG

    public static final String EXPIRATION_DATE_TAG
    See Also:
      - Constant Field Values

  - ### REVOCATION_DATE_TAG

    public static final String REVOCATION_DATE_TAG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CertificateBaseModel

    public CertificateBaseModel()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getSubjectDN

    public String getSubjectDN()

  - ### setSubjectDN

    public void setSubjectDN(String subjectDN)

  - ### getSerialNumber

    public String getSerialNumber()

  - ### setSerialNumber

    public void setSerialNumber(String serialNumber)

  - ### getIssuerDN

    public String getIssuerDN()

  - ### setIssuerDN

    public void setIssuerDN(String issuerDN)

  - ### getCertificate

    public byte[] getCertificate()

  - ### setCertificate

    public void setCertificate(byte[] certificate)

  - ### getCertificateStatus

    public CertificateStatus getCertificateStatus()
    getter for certificateStatus
    Returns:
      certificateStatus value

  - ### setCertificateStatus

    public void setCertificateStatus(CertificateStatus certificateStatus)
    set certificateStatus

  - ### getExpirationDate

    public String getExpirationDate()

  - ### setExpirationDate

    public void setExpirationDate(String expirationDate)

  - ### getRevocationDate

    public String getRevocationDate()
    getter for revocationDate
    Returns:
      revocationDate value

  - ### setRevocationDate

    public void setRevocationDate(String revocationDate)
    set revocationDate